import java.applet.Applet;
import java.awt.Component;
import java.awt.Event;
import java.awt.Graphics;
import java.awt.Point;

public class MouseApplet3 extends Applet {
   Point startPoint;
   Point[] points;
   int numPoints;
   boolean drawing;

   public void init() {
      this.startPoint = new Point(0, 0);
      this.points = new Point[1000];
      this.numPoints = 0;
      this.drawing = false;
      ((Applet)this).resize(400, 300);
   }

   public void paint(Graphics var1) {
      int var2 = this.startPoint.x;
      int var3 = this.startPoint.y;

      for(int var4 = 0; var4 < this.numPoints; ++var4) {
         var1.drawLine(var2, var3, this.points[var4].x, this.points[var4].y);
         var2 = this.points[var4].x;
         var3 = this.points[var4].y;
      }

   }

   public boolean handleEvent(Event var1) {
      switch (var1.id) {
         case 501:
            this.drawing = true;
            this.startPoint.x = var1.x;
            this.startPoint.y = var1.y;
            return true;
         case 502:
         default:
            return false;
         case 503:
            if (this.drawing && this.numPoints < 1000) {
               this.points[this.numPoints] = new Point(var1.x, var1.y);
               ++this.numPoints;
               ((Component)this).repaint();
            }

            return true;
      }
   }
}
