import java.applet.Applet;
import java.awt.Component;
import java.awt.Event;
import java.awt.Graphics;
import java.awt.Point;

public class MouseApplet4 extends Applet {
   Point startPoint;
   Point[] points;
   int numPoints;
   boolean drawing;
   boolean painting;

   public void init() {
      this.startPoint = new Point(0, 0);
      this.points = new Point[1000];
      this.numPoints = 0;
      this.drawing = false;
      this.painting = false;
      ((Applet)this).resize(400, 300);
   }

   public void paint(Graphics var1) {
      if (this.painting) {
         this.painting = false;
         int var2 = this.startPoint.x;
         int var3 = this.startPoint.y;

         for(int var4 = 0; var4 < this.numPoints; ++var4) {
            var1.drawLine(var2, var3, this.points[var4].x, this.points[var4].y);
            var2 = this.points[var4].x;
            var3 = this.points[var4].y;
         }
      }

   }

   public boolean mouseDown(Event var1, int var2, int var3) {
      this.drawing = true;
      this.startPoint.x = var2;
      this.startPoint.y = var3;
      return true;
   }

   public boolean mouseMove(Event var1, int var2, int var3) {
      if (this.drawing && this.numPoints < 1000) {
         this.points[this.numPoints] = new Point(var2, var3);
         ++this.numPoints;
      }

      return true;
   }

   public boolean keyDown(Event var1, int var2) {
      if (var2 == 1009) {
         this.painting = true;
         ((Component)this).repaint();
      } else if (var2 == 1010) {
         this.painting = true;
         this.drawing = false;
         this.numPoints = 0;
         ((Component)this).repaint();
      }

      return true;
   }
}
